Bug 441202 - Ekiga crashes on startup
Ekiga crashes on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
: 441767 447002 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 02:13 EDT by Andrew Bartlett
Modified: 2008-07-26 02:01 EDT (History)
10 users (show)

See Also:
Fixed In Version: 2.0.12-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 18:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (13.10 KB, text/plain)
2008-04-07 02:13 EDT, Andrew Bartlett
no flags Details
backtrace from starting Ekiga (4.79 KB, text/plain)
2008-04-18 09:40 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 529940 None None None Never

  None (edit)
Description Andrew Bartlett 2008-04-07 02:13:26 EDT
Description of problem:
ekiga crashs on startup, apparently trying to get/process account details

Version-Release number of selected component (if applicable):
ekiga-2.0.11-3.fc9.i386
pwlib-1.10.10-6.fc9.i386
opal-2.2.11-3.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1. run ekiga from command line or menu
2.
3.
  
Actual results:
crash

Expected results:
start ekiga

Additional info:
detailed backtrace attached
Comment 1 Andrew Bartlett 2008-04-07 02:13:26 EDT
Created attachment 301466 [details]
Backtrace
Comment 2 Thomas J. Baker 2008-04-09 16:27:31 EDT
Doesn't work at all for me either.
Comment 3 Fabrice Bellet 2008-04-10 11:10:16 EDT
It seems to be related to pwlib rebuild with gcc-4.3. Downgrading to
pwlib-1.10.10-4.fc9.i386.rpm works for me.
Comment 4 Matěj Cepl 2008-04-18 09:40:12 EDT
Created attachment 302885 [details]
backtrace from starting Ekiga

me too
Comment 5 Matěj Cepl 2008-04-18 09:55:07 EDT
And yes downgrade to pwlib-1.10.10-4.fc9.x86_64.rpm works for me as well.
Comment 6 Martin Jürgens 2008-04-19 19:00:10 EDT
Also crashes for me. See
http://crash.gnome.org/report/index/3281eda8-0e55-11dd-9e37-0007e9333148?date=2008-04-19-21
Comment 7 James Gregory 2008-04-25 13:51:35 EDT
I'm having a similar problem (see linked Gnome Bugzilla item). Judging by
similar reports, they won't look into it because 2.0.12 is available. Any idea
when this is going to be added into Fedora (rawhide/9)?
Comment 8 Martin Jürgens 2008-04-25 14:19:39 EDT
Seems that there is work going on on packaging 2.0.12, but the recent builds
failed. See Koji.
Comment 9 James Gregory 2008-04-25 16:20:04 EDT
Yes, I checked Koji to see if there were any newer builds. However, I saw that
the last build was in March, hence my request as to whether any further builds
were in progress.
Comment 10 Paul W. Frields 2008-05-03 20:54:57 EDT
*** Bug 441767 has been marked as a duplicate of this bug. ***
Comment 11 Alexey Lubimov 2008-05-10 11:11:17 EDT
this is bug on opal

Steps to resolve this bug:



1) rebuild & install opal-2.11*.src.rpm 

2) rebuild & ekiga-2.0.11*.src.rpm


Comment 12 Paul W. Frields 2008-05-12 08:42:03 EDT
I went directly to the current F-9 branches of opal and ekiga, and did just
this, and the results are a working ekiga.  Can we get this done for a zero-day
release?  I'll be happy to visit bodhi and vote appropriately.
Comment 13 James Gregory 2008-05-12 08:49:52 EDT
This would be great! I'm currently relying on Twinkle for my VoIP needs, and I'd
quite like Ekiga to work correctly (since it hasn't worked properly since Fedora 8!)
Comment 14 James Gregory 2008-05-12 09:36:13 EDT
I can confirm that rebuilding OPAL and Ekiga from the source files works fine.
Ekiga is now working fine on my computer - thanks to Alexey and Paul for this.
Comment 15 Fedora Update System 2008-05-12 16:52:09 EDT
opal-2.2.11-4.fc9 has been submitted as an update for Fedora 9
Comment 16 James Gregory 2008-05-12 17:42:58 EDT
The new opal library successfully compiles against Ekiga 2.0.12 (source from
Ekiga website) and works with Ekiga 2.0.11 (recompiled from Fedora source RPMs).
Cheers to Paul for providing this update. Would it now be possible to submit a
working version of Ekiga to the repository?
Comment 17 Malcolm Caldwell 2008-05-12 21:10:31 EDT
I also rebuilt opal and ekiga and now have a working copy.  Versions are
opal-2.2.11-3.fc9.i386 and ekiga-2.0.11-3.fc9.i386.
Comment 18 Fedora Update System 2008-05-13 00:28:00 EDT
ekiga-2.0.12-2.fc9 has been submitted as an update for Fedora 9
Comment 19 Fedora Update System 2008-05-13 11:27:43 EDT
opal-2.2.11-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Bug Zapper 2008-05-14 05:00:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Fedora Update System 2008-05-14 18:15:25 EDT
ekiga-2.0.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Nicola Soranzo 2008-05-15 10:03:37 EDT
I cannot find opal-2.2.11-4.fc9 in updates, only in koji. Can you verify, please?
Comment 23 James Gregory 2008-05-15 10:15:39 EDT
According to Bodhi, both opal-2.2.11-4.fc9 and ekiga-2.0.12-2.fc9 have been
pushed into stable, so they should be available through the updater.
Comment 24 Nicola Soranzo 2008-05-15 11:09:09 EDT
(In reply to comment #23)
> According to Bodhi, both opal-2.2.11-4.fc9 and ekiga-2.0.12-2.fc9 have been
> pushed into stable, so they should be available through the updater.

I know, but please look at:

http://download.fedora.redhat.com/pub/fedora/linux/updates/9/i386/

New Ekiga is present, new opal is not.
Also in Koji, Ekiga is tagged dist-f9-updates, while opal is tagged
dist-f9-override and dist-f9-updates-testing.
Comment 25 James Gregory 2008-05-15 11:44:59 EDT
Might be worth emailing Paul Frields as he was the one that packaged up the
updated Opal and Ekiga libraries (unless you have other "contacts" that could
update Koji).
Comment 26 Paul W. Frields 2008-05-15 12:41:38 EDT
It can take a couple days sometimes for them to be signed and pushed to the
mirrors.  In the meantime, you can use the copies in koji.
Comment 27 Nicola Soranzo 2008-05-19 19:29:55 EDT
Other 5 days have passed, but the opal updated package hasn't hit the mirrors.
BTW, the relative Fedora Update Notification came out correctly on 2008-05-13.
I know I can use the package in Koji, but this is not the solution for everybody!
Comment 28 Daniel Veillard 2008-05-20 03:49:00 EDT
*** Bug 447002 has been marked as a duplicate of this bug. ***
Comment 29 Martin Jürgens 2008-05-20 05:09:42 EDT
seems that there is something wrong with bodhi, the new opal isn't even here:
http://download.fedora.redhat.com/pub/fedora/linux/updates/9/i386/
Comment 30 Paul W. Frields 2008-05-20 17:44:36 EDT
It was tagged for updates just recently.  You'll probably find it in the repos
by tomorrow.
Comment 31 Martin Jürgens 2008-05-21 10:59:40 EDT
you are right, it is there now. but why did it take so long? is it normal or was
there some problem? thanks :)
Comment 32 Fedora Update System 2008-07-26 02:01:05 EDT
ekiga-2.0.12-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.